Foreman - Bug #7079

Proxy settings.d directory should be in foreman-debug archive
08/14/2014 03:39 AM - Dominic Cleal

Status:
Priority:
Assignee:
Category:

Target version:

Closed

Normal

Packaging
1.6.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/1720
Description

/etc/foreman-proxy/settings.d should be added to foreman-debug.

Associated revisions

Revision 4aff3f07 - 09/02/2014 07:06 AM - Dmitri Dolguikh

Fixes #7079: foreman-debug archive now includes contents of /etc/foreman-proxy/settings.d directory

Revision ef1d06ab - 09/08/2014 02:37 PM - Dmitri Dolguikh

Fixes #7079: foreman-debug archive now includes contents of /etc/foreman-proxy/settings.d directory

(cherry picked from commit 4aff3f071a2326a3cd4923b95bdfe87b3371184d)

History

#1 - 08/21/2014 08:37 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#2 - 08/28/2014 07:43 AM - Anonymous

It looks like this is already being handled: https:/github.com/theforeman/foreman/blob/develop/script/foreman-debug#l 239

#3 - 08/28/2014 07:49 AM - Dominic Cleal

Dmitri Dolguikh wrote:

It looks like this is already being handled: https:/github.com/theforeman/foreman/blob/develop/script/foreman-debug#L 239

| don't think add_files is recursive, so it's leaving out settings.d.

#4 - 08/29/2014 10:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1720 added

- Pull request deleted ()

#5 - 08/29/2014 10:57 AM - Anonymous

- Assignee set to Anonymous

#6 - 09/02/2014 07:08 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#7 - 09/02/2014 08:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/blob/develop/script/foreman-debug#L239
https://github.com/theforeman/foreman/blob/develop/script/foreman-debug#L239

- % Done changed from 0 to 100

Applied in changeset 4aff3f071a2326a3cd4923b95bdfe87b3371184d.
